package seeders

// |@@| C

import (
	"context"
)

type Seeders struct {
	EventSeeder       *EventSeeder
	GardenSeeder      *GardenSeeder
	GardenTaskSeeder  *GardenTaskSeeder
	PlantSeeder       *PlantSeeder
	PlantTaskSeeder   *PlantTaskSeeder
	PlantationSeeder  *PlantationSeeder
	SeedProgramSeeder *SeedProgramSeeder
	UserSeeder        *UserSeeder
}

func (this *Seeders) Seed(ctx context.Context) {
	this.EventSeeder.Seed(ctx)
	this.GardenSeeder.Seed(ctx)
	this.GardenTaskSeeder.Seed(ctx)
	this.PlantSeeder.Seed(ctx)
	this.PlantTaskSeeder.Seed(ctx)
	this.PlantationSeeder.Seed(ctx)
	this.SeedProgramSeeder.Seed(ctx)
	this.UserSeeder.Seed(ctx)
}
